#include "Timer.h"

#include <sys/time.h>
#include <unistd.h>

void Timer::Start() 
{ 
    m_seconds = TimeNow(); 
};

void Timer::Stop() 
{ 
    m_seconds = TimeNow() - m_seconds; 
};

double Timer::GetTime() const 
{ 
    return m_seconds; 
};

double Timer::TimeNow()
{
#ifdef _WIN32
    return GetCounter()/1000.0;
#else
    static struct timeval t;
    gettimeofday(&t, NULL);
    return t.tv_sec + 1e-6 * t.tv_usec;
#endif
}

